Subject: Re: FVWM: embedding shell scripts

From: Tim Phipps <[email-masked]>
Date: Tue, 05 Jan 1999 14:08:21 +0000

Neil Zanella wrote:
> 
> Hello,
> 
> Could someone _please_ write a hack to
> embed shell scripts into a .fvwm2rc
> file. Then shell scripts can be invoked
> from within a .fvwm2rc file as fucntions.
> This would make distribution and maintenance
> of .fvwm2rc files a lot easier. I like my
> .fvwm2rc files to be self contained.

If what you want is to do multiple line shell scripty things from fvwm
you can always use the fact that any shell worthy of the name can do
everything on one line. e.g.

AddToFunc test "I" Exec for I in 1 2 3 4 5; do echo $I; done

If it's a real whopper of a script I would recommend you put in in a
separate file to be Exec'd from fvwm.  Big scripts get changed often and
including the script in the fvwm config will mean restarting fvwm every
time the script changes.

Cheers,
Tim.
--
Visit the official FVWM web page at <URL: http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].